Subject: Re: mtu in DD exchange.

From: prashant desai <[email-masked]>
Date: Thu, 20 Jun 2002 11:27:52 -0700

exactly..the ip layer should drop the packet..why should OSPF care about
it..dont you think its the ip layers job to check mtu conformance of
incomming packets ?

>From: Daniel Gryniewicz <[email-masked]>
>Reply-To: Mailing List <[email-masked]>
>To: [email-masked]
>Subject: Re: mtu in DD exchange.
>Date: Thu, 20 Jun 2002 13:59:07 -0400
>
>What fragments?  All OSPF (baring virtual links) traffic is only on one
>link.
>What the MTU agreement assures is that everyone on the link agrees what the
>MTU *for that link* should be.  If I think the MTU is 9000, and you think
>the
>MTU is 1500, you'll silently drop all my packets.  My IP layer won't
>fragment,
>because it thinks the MTU is large enough.
>
>Daniel
>
>On Thu, 20 Jun 2002 10:45:44 -0700
>prashant desai <[email-masked]> wrote:
>
> > Hi,
> > Can anyone give me a good reason why OSPF routers have to agree on
> > the MTU size during DD exchange process..
> > As OSPF runs over IP..fragmentation or reassembly should not be its
> > concern..and they will be transparently handled by the IP layer..
> >
> > Prashant
> >
> > _________________________________________________________________
> > Join the world’s largest e-mail service with MSN Hotmail.
> > http://www.hotmail.com

_________________________________________________________________
Join the world’s largest e-mail service with MSN Hotmail.
http://www.hotmail.com

---

From: Daniel Gryniewicz <[email-masked]>
Date: Thu, 20 Jun 2002 14:30:58 -0400

So, I send you the 9000 byte packet.  My IP layer thinks it's fine.  Your IP
layer drops it.  An adjacency never forms.  Or, worse yet, the adjacency
formed (the HELLOs and DDs were all small enough) and then I get and flood a
huge LSA from someone else.  You drop it, but I assume you have it.  My SPF
puts a route from this LSA through you, but you don't have it, so blackhole. 
I *have* to know that every packet I send to you can make it.  The MTU
agreement assures that packets won't get dropped because of MTU mismatch.

Daniel

On Thu, 20 Jun 2002 11:27:52 -0700